[![Build Status](https://travis-ci.org/devsim/devsim.svg?branch=master)](https://travis-ci.org/devsim/devsim)
[![Build status](https://ci.appveyor.com/api/projects/status/github/devsim/devsim?branch=master&svg=true)](https://ci.appveyor.com/project/devsim/devsim)

### Introduction:
**DEVSIM** - TCAD Device Simulator

**DEVSIM** is a tool for TCAD Device Simulation, using finite volume methods.  The source code is provided by Devsim LLC.
It is licensed under the [Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0.html).  Example scripts are also provided under this license.  Other files are subject to the license terms of their copyright owners.

### Website:

The official website is here:

[https://devsim.org](https://devsim.org)

### Release Availability

Binary releases are available at [Zenodo](https://doi.org/10.5281/zenodo.1186952).

### Citing This Work

Please see [CITATION.md](CITATION.md).  *Please do not cite this Github Repository as it will be moving in the future.*

### Documentation:

An online version of the documentation is available at [https://devsim.net](https://devsim.net).  A list of documentation resources is available [online](https://devsim.org/introduction.html#documentation).

### Supported Platforms:
* macOS 10.13 (High Sierra)
* Microsoft Windows (64 bit)
* Red Hat 7 (Centos Compatible)


### Software Features:
* Python scripting 
* DC, small-signal AC, impedance field method, transient
* User specified partial differential equations (PDE).
* 1D, 2D, and 3D simulation
* 1D, 2D mesher
* Import 3D meshes.
* 2D cylindrical coordinate simulation
* ASCII file format with PDE embedded.

Please see INSTALL file for installation instructions from source.  Please see 
NOTICE and LICENSE files for copyright and license information.

### Support:

For support and general discussion, please join our forum:
[https://forum.devsim.org](https://forum.devsim.org)

### Contributing:

Please see:
[Contribution guidelines for this project](CONTRIBUTING.md)

